package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmAttEmpAttInHdrBean extends BaseHeaderBean implements Serializable {
  String employeeNo;
  
  String firstName;
  
  String middleName;
  
  String lastName;
  
  String date;
  
  String shiftCode;
  
  String timeIn;
  
  String attndStatus;
  
  String reasons;
  
  String empId;
  
  String shiftId;
  
  String shiftTime;
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getFirstName() {
    return this.firstName;
  }
  
  public void setFirstName(String newFirstName) {
    this.firstName = newFirstName;
  }
  
  public String getMiddleName() {
    return this.middleName;
  }
  
  public void setMiddleName(String newMiddleName) {
    this.middleName = newMiddleName;
  }
  
  public String getLastName() {
    return this.lastName;
  }
  
  public void setLastName(String newLastName) {
    this.lastName = newLastName;
  }
  
  public String getDate() {
    return this.date;
  }
  
  public void setDate(String newDate) {
    this.date = newDate;
  }
  
  public String getShiftCode() {
    return this.shiftCode;
  }
  
  public void setShiftCode(String newShiftCode) {
    this.shiftCode = newShiftCode;
  }
  
  public String getTimeIn() {
    return this.timeIn;
  }
  
  public void setTimeIn(String newTimeIn) {
    this.timeIn = newTimeIn;
  }
  
  public String getAttndStatus() {
    return this.attndStatus;
  }
  
  public void setAttndStatus(String newAttndStatus) {
    this.attndStatus = newAttndStatus;
  }
  
  public String getReasons() {
    return this.reasons;
  }
  
  public void setReasons(String newReasons) {
    this.reasons = newReasons;
  }
  
  public String getEmpId() {
    return this.empId;
  }
  
  public void setEmpId(String newEmpId) {
    this.empId = newEmpId;
  }
  
  public String getShiftId() {
    return this.shiftId;
  }
  
  public void setShiftId(String newShiftId) {
    this.shiftId = newShiftId;
  }
  
  public String getShiftTime() {
    return this.shiftTime;
  }
  
  public void setShiftTime(String newShiftTime) {
    this.shiftTime = newShiftTime;
  }
}
